Subject: Re: [dhcwg] Cisco 79xx VOIP Phone DHCPv4 client oddity

From: "David W. Hankins" <[email-masked]>
Date: Tue, 23 Mar 2010 09:23:54 -0700

On Thu, Feb 25, 2010 at 04:00:53PM -0800, David W. Hankins wrote:
> Because of that pre-extant other-server behaviour, and how many of
> these phones are out there, we're going to adopt a change to work with
> this client along those lines (I'm not sure what strategy just yet),
> but I also wanted to ask if there are any folks who know the folks who
> do the firmware on the 7900's?

I'm moving towards a strategy where, when ciaddr is set and the lease
is on a locally connected broadcast domain (what our software calls a
'shared-network'), we attempt to transmit the reply to the client
using its chaddr contents as MAC address, lower layer drivers willing.

This behaviour is essentially consistent with implementations that
pre-load chaddr contents into their ARP caches.

-- 
David W. Hankins	BIND 10 needs more DHCP voices.
Software Engineer		There just aren't enough in our heads.
Internet Systems Consortium, Inc.		http://bind10.isc.org/